<template>
<div class="centred">
	<img class="logo-rtx" src="assets/gui/logo.png" />
	<div class="bounds">
		press <control device="xbox" type="a" />
	</div>
</div>
</template>

<script>
import * as TOWER from "../../constants/tower.js"

import Control from "../components/Control.vue"

export default {
	components: { Control },
	computed: {
		on_xbox: function () {
			return IS_XBOX ? "on-xbox" : "on-pc"
		}
	},
	mounted () {
		Tower.setState(TOWER.STATE_NOTHING)
	},
	name: "press-start"
}
</script>

<style>
@import "./styles/Centred.less";
.bounds {
	color: #333;
	text-shadow: none;
}

.on-xbox {
	display: none;
}

.logo-rtx {
	margin-top: 10vh;
	width: 90%;
}
</style>